## properties-cpp 0.0.1%2B14.10.20140730

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(properties-cpp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(cmake/EnableCoverageReport.cmake)
include(cmake/PrePush.cmake)
include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

set(PROPERTIES_CPP_VERSION_MAJOR 0)
set(PROPERTIES_CPP_VERSION_MINOR 0)
set(PROPERTIES_CPP_VERSION_PATCH 1)

include(CTest)

include_directories(
  include/
)

add_subdirectory(doc)
add_subdirectory(data)
add_subdirectory(include)
add_subdirectory(tests)

# enable_coverage_report(posix_process_test linux_process_test)

## properties-cpp 0.0.1~bzr17+repack1

=== debian/changelog ===
properties-cpp (0.0.1~bzr17+repack1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 May 2019 13:47:50 -0700

properties-cpp (0.0.1~bzr17+repack1-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 14 Sep 2018 18:45:57 +0200

properties-cpp (0.0.1~bzr17+repack1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standars-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 17:49:44 +0200

properties-cpp (0.0.1~bzr17+repack1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make build reproducible. (Closes: #883339).
  * debian/patches:
    + Add 1002_reproducible-builds.patch. Make Doxygen build reproducible.
  * debian/rules:
    + Remove Doxygen's result.txt prior to packaging up.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Drop '.' from SYNOPSIS field.
  * debian/copyright:
    + Use secure URI for copyright format reference.
    + Add main Comment: field that explains why tarball was repacked.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Mar 2018 21:55:30 +0100

properties-cpp (0.0.1~bzr17+repack1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #882585).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Nov 2017 14:52:52 +0100

properties-cpp (0.0.1+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ Marcus Tomlinson ]
  * Renamed "slots" to "slot_list" in signal.h as to avoid clashing with
    the "slots" Qt keyword. (LP: #1329743)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 15:09:54 +0000

properties-cpp (0.0.1+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ thomas-voss ]
  * Allow for dispatching setting and getting to functors.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 20:13:02 +0000

properties-cpp (0.0.1+14.04.20140121-0ubuntu1) trusty; urgency=low

  [ thomas-voss ]
  * Refactor to rely on default move-operator for core::Connection.
    Enable property chaining. Make sure that an abandoned connection
    safely accesses its private member. Make ScopedConnection a movable
    type.

  [ Łukasz 'sil2100' Zemczak ]
  * Let's get rid of lcov as a build-dep.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 12

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 Jan 2014 11:50:25 +0000

properties-cpp (0.0.1+14.04.20140110-0ubuntu1) trusty; urgency=low

  * Automatic snapshot from revision 9

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Jan 2014 10:40:44 +0000

properties-cpp (0.0.1+14.04.20131216-0ubuntu1) trusty; urgency=low

  [ Thomas Voß ]
  * Initial release.

  [ thomas-voss ]
  * Initial commit.
  * Add packaging setup.
  * Add a README.md. Add a COPYING file.
  * Merged lp:~thomas-voss/properties-cpp/cleanup.
  * Merged lp:~thomas-voss/properties-cpp/adjust-namespace-to-core.
  * Merged lp:~thomas-voss/properties-cpp/fix-pkgconfig-include-path.
  * Removed license statements from build files.

  [ Timo Jyrinki ]
  * s/process-cpp/properties-cpp/ and expanding descriptions.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 8

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Dec 2013 08:17:31 +0000

=== debian/control ===
Source: properties-cpp
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               debhelper (>= 10~),
               doxygen,
               google-mock,
               graphviz,
               libgtest-dev,
               rdfind,
               symlinks,
Standards-Version: 4.2.0
Homepage: https://launchpad.net/properties-cpp
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/properties-cpp.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/properties-cpp

Package: libproperties-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libproperties-cpp-doc
Depends: ${misc:Depends},
Description: C++11 library providing properties/signals - dev headers
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes all the development headers and libraries for
 properties-cpp.

Package: libproperties-cpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Documentation files for libproperties-cpp-dev
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes the documentation files for the libproperties-cpp
 development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_changelog:
	dh_changelog

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.bzr

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	mv debian/tmp/usr/share/doc/properties-cpp/html/* debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && symlinks -c .
	rmdir debian/tmp/usr/share/doc/properties-cpp/html/
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/*.md5
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/results.txt
	dh_install

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:properties-cpp
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## properties-cpp 0.0.1+14.04.20140220

=== doc/CMakeLists.txt ===
option(
  PROPERTIES_CPP_ENABLE_DOC_GENERATION
  "Generate package documentation with doxygen"
  ON
)

if (PROPERTIES_CPP_ENABLE_DOC_GENERATION)

find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in 
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(doc ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
  install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION ${CMAKE_INSTALL_DOCDIR})

endif (DOXYGEN_FOUND)
endif (PROPERTIES_CPP_ENABLE_DOC_GENERATION)

=== include/CMakeLists.txt ===
install(
  DIRECTORY core
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/
)

## properties-cpp 0.0.2

=== tests/CMakeLists.txt ===
set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
find_package(Gtest REQUIRED)
include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})

include_directories(${GTEST_INCLUDE_DIRS})

add_executable(
  properties_test
  properties_test.cpp
)

add_executable(
  signals_test
  signals_test.cpp
)

target_link_libraries(
  properties_test

  ${GTEST_BOTH_LIBRARIES}
)

target_link_libraries(
  signals_test

  ${GTEST_BOTH_LIBRARIES}
)

add_test(properties_test ${CMAKE_CURRENT_BINARY_DIR}/properties_test)
add_test(signals_test ${CMAKE_CURRENT_BINARY_DIR}/signals_test)

=== debian/changelog ===
properties-cpp (0.0.2-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libproperties-cpp-doc: Add Multi-Arch: foreign.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 16:46:21 +0200

properties-cpp (0.0.2-6) unstable; urgency=medium

  * debian/control:
    + Add B-D: pkg-config, required by 'find_package(GMock)' in cmake-extras.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 14:14:06 +0100

properties-cpp (0.0.2-5) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D: cmake-extras (>= 1.5-5~). (Closes: #973163).
    + Switch from transitional google-gmock to googletest.
  * debian/patches:
    + Add README, explaining our patch naming scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 09:42:13 +0100

properties-cpp (0.0.2-4) unstable; urgency=medium

  * debian/patches:
    + Improve 1002_reproducible-builds.patch. Make build reproducible again.
      (Closes: #961495). Thanks for Chris Lamb for providing the patch.
  * debian/control:
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Oct 2020 20:24:03 +0200

properties-cpp (0.0.2-3) unstable; urgency=medium

  * debian/rules:
    + Drop override_dh_installchangelogs. No ChangeLog.bzr file anymore.
      No upstream ChangeLog anymore at all for now.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 14:43:57 +0100

properties-cpp (0.0.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Move packaging Git over to Debian UBports team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 12:46:46 +0100

properties-cpp (0.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/{copyright,rules}:
    + Don't repack orig tarball anymore.
  * debian/copyright:
    + Drop Upstream-Contact: field. Needs to be replaced later.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2020 11:46:06 +0100

properties-cpp (0.0.1~bzr17+repack1-4) unstable; urgency=medium

  * debian/copyright:
    + Add global Files-Excluded: field, drop global Comment: field.
    + Update copyright attributions.
  * debian/rules:
    + Leave orig tarball (re)packing to uscan.
  * debian/{control,copyright,watch}:
    + Let UBports project become our new upstream location.
  * debian/control:
    + Move package maintainership over to the new 'Debian UBports Team'.
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/upstream/metadata:
    + Add file. Be DEP-12 compliant.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 14:45:53 +0100

=== debian/control ===
Source: properties-cpp
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               debhelper-compat (= 13),
               doxygen,
               googletest,
               graphviz,
               libgtest-dev,
               pkg-config,
               rdfind,
               symlinks,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/
Vcs-Git: https://salsa.debian.org/ubports-team/properties-cpp.git
Vcs-Browser: https://salsa.debian.org/ubports-team/properties-cpp

Package: libproperties-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libproperties-cpp-doc
Depends: ${misc:Depends},
Description: C++11 library providing properties/signals - dev headers
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes all the development headers and libraries for
 properties-cpp.

Package: libproperties-cpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Documentation files for libproperties-cpp-dev
 Properties-cpp is a C++11 library providing properties/signals.
 .
 This package includes the documentation files for the libproperties-cpp
 development.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack1// \
https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/tags .*/properties-cpp-(\d\S+)\.tar\.gz

## properties-cpp 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(properties-cpp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

set(PROPERTIES_CPP_VERSION_MAJOR 0)
set(PROPERTIES_CPP_VERSION_MINOR 0)
set(PROPERTIES_CPP_VERSION_PATCH 3)

enable_testing()

include_directories(
  include/
)

add_subdirectory(doc)
add_subdirectory(data)
add_subdirectory(include)
add_subdirectory(tests)

find_package(CoverageReport)
enable_coverage_report(
  TARGETS ${COVERAGE_TEST_TARGETS}
  TESTS ${COVERAGE_TEST_TARGETS}
  FILTER /usr/include ${CMAKE_BINARY_DIR}/*
)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
+find_package(PkgConfig REQUIRED)
 set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
 # Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
 string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-find_package(Gtest REQUIRED)
+find_package(GMock REQUIRED)
 include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
 set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})
 
@@ -31,3 +32,8 @@
 
 add_test(properties_test ${CMAKE_CURRENT_BINARY_DIR}/properties_test)
 add_test(signals_test ${CMAKE_CURRENT_BINARY_DIR}/signals_test)
+
+set(COVERAGE_TEST_TARGETS
+  properties_test signals_test
+  PARENT_SCOPE
+)

=== debian/changelog ===
properties-cpp (0.0.3-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:11 +0200

properties-cpp (0.0.3-1) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * New upstream version 0.0.3
  * debian/control: Bump Standards-version to 4.6.2
  * debian/patches: Drop patch, fixed upstream:
    - 1001_fix-FTBFS-in-gtest.patch

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 00:39:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: properties-cpp
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -15,7 +16,7 @@
                pkg-config,
                rdfind,
                symlinks,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/
 Vcs-Git: https://salsa.debian.org/ubports-team/properties-cpp.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_changelog:
	dh_changelog

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	mv debian/tmp/usr/share/doc/properties-cpp/html/* debian/tmp/usr/share/doc/libproperties-cpp-doc/html/
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/libproperties-cpp-doc/html/ && symlinks -c .
	rmdir debian/tmp/usr/share/doc/properties-cpp/html/
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/*.md5
	rm debian/tmp/usr/share/doc/libproperties-cpp-doc/html/results.txt
	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## properties-cpp 0.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.10)
 
 project(properties-cpp)
 
@@ -7,7 +7,7 @@
 include(GNUInstallDirs)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 set(PROPERTIES_CPP_VERSION_MAJOR 0)
@@ -23,7 +23,9 @@
 add_subdirectory(doc)
 add_subdirectory(data)
 add_subdirectory(include)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+  add_subdirectory(tests)
+endif(BUILD_TESTING)
 
 find_package(CoverageReport)
 enable_coverage_report(

=== data/CMakeLists.txt ===
configure_file(
  properties-cpp.pc.in properties-cpp.pc @ONLY
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/properties-cpp.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== debian/changelog ===
properties-cpp (0.0.4-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Support building with CMake 4. (Closes: #1113424).
    - Support building against GTest >= 1.17.0. (Closes: #1114271).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attributions for debian/.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS. Only enable testing if nocheck build option is not set.
      (Closes: #1030226).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 23:33:49 +0200

properties-cpp (0.0.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 10:28:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: properties-cpp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -13,10 +12,10 @@
                googletest,
                graphviz,
                libgtest-dev,
-               pkg-config,
+               pkgconf,
                rdfind,
                symlinks,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/properties-cpp/
 Vcs-Git: https://salsa.debian.org/ubports-team/properties-cpp.git

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_TESTING=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 
 override_dh_missing:
 	dh_missing --fail-missing
